//
//  RNCalloutView.m
//  FCSDemo
//
//  Created by Run on 2017/9/14.
//  Copyright © 2017年 Facebook. All rights reserved.
//

#import "RNCalloutView.h"

#define kPortraitMargin     5
#define kPortraitWidth      70
#define kPortraitHeight     50

#define kTitleWidth         120
#define kTitleHeight        20

#define kArrorHeight        10

@interface RNCalloutView ()

@property (nonatomic, strong) UIImageView *portraitView;
@property (nonatomic, strong) UILabel *subtitleLabel;
@property (nonatomic, strong) UILabel *titleLabel;

@end

@implementation RNCalloutView

- (instancetype)initWithFrame:(CGRect)frame {
  if (self = [super initWithFrame:frame]) {
    self.backgroundColor = [UIColor lightGrayColor];
    [self initSubViews];
  }
  return self;
}

- (void)initSubViews
{
  // 添加图片，即商户图
  self.portraitView = [[UIImageView alloc] initWithFrame:CGRectMake(kPortraitMargin, kPortraitMargin, kPortraitWidth, kPortraitHeight)];
  
  self.portraitView.backgroundColor = [UIColor blackColor];
  [self addSubview:self.portraitView];
  
  // 添加标题，即商户名
  self.titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(kPortraitMargin * 2 + kPortraitWidth, kPortraitMargin, kTitleWidth, kTitleHeight)];
  self.titleLabel.font = [UIFont boldSystemFontOfSize:14];
  self.titleLabel.textColor = [UIColor whiteColor];
  self.titleLabel.text = @"titletitletitletitle";
  [self addSubview:self.titleLabel];
  
  // 添加副标题，即商户地址
  self.subtitleLabel = [[UILabel alloc] initWithFrame:CGRectMake(kPortraitMargin * 2 + kPortraitWidth, kPortraitMargin * 2 + kTitleHeight, kTitleWidth, kTitleHeight)];
  self.subtitleLabel.font = [UIFont systemFontOfSize:12];
  self.subtitleLabel.textColor = [UIColor lightGrayColor];
  self.subtitleLabel.text = @"subtitleLabelsubtitleLabelsubtitleLabel";
  [self addSubview:self.subtitleLabel];
}

- (void)setTitle:(NSString *)title
{
  self.titleLabel.text = title;
}

- (void)setSubTitle:(NSString *)subTitle
{
  self.subtitleLabel.text = subTitle;
}

- (void)setImage:(UIImage *)image
{
  self.portraitView.image = image;
}

//背景
//- (void)drawRect:(CGRect)rect
//{
//  
//  [self drawInContext:UIGraphicsGetCurrentContext()];
//  
//  self.layer.shadowColor = [[UIColor blackColor] CGColor];
//  self.layer.shadowOpacity = 1.0;
//  self.layer.shadowOffset = CGSizeMake(0.0f, 0.0f);
//  
//}
//
//- (void)drawInContext:(CGContextRef)context
//{
//  
//  CGContextSetLineWidth(context, 2.0);
//  CGContextSetFillColorWithColor(context, [UIColor colorWithRed:0.3 green:0.3 blue:0.3 alpha:0.8].CGColor);
//  
//  [self getDrawPath:context];
//  CGContextFillPath(context);
//  
//}
//
//- (void)getDrawPath:(CGContextRef)context
//{
//  CGRect rrect = self.bounds;
//  CGFloat radius = 6.0;
//  CGFloat minx = CGRectGetMinX(rrect),
//  midx = CGRectGetMidX(rrect),
//  maxx = CGRectGetMaxX(rrect);
//  CGFloat miny = CGRectGetMinY(rrect),
//  maxy = CGRectGetMaxY(rrect)-kArrorHeight;
//  
//  CGContextMoveToPoint(context, midx+kArrorHeight, maxy);
//  CGContextAddLineToPoint(context,midx, maxy+kArrorHeight);
//  CGContextAddLineToPoint(context,midx-kArrorHeight, maxy);
//  
//  CGContextAddArcToPoint(context, minx, maxy, minx, miny, radius);
//  CGContextAddArcToPoint(context, minx, minx, maxx, miny, radius);
//  CGContextAddArcToPoint(context, maxx, miny, maxx, maxx, radius);
//  CGContextAddArcToPoint(context, maxx, maxy, midx, maxy, radius);
//  CGContextClosePath(context);
//}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
